Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes | List of all members
b2WheelJointDef Struct Reference

`#include <b2WheelJoint.h>`

Inheritance diagram for b2WheelJointDef:

## Public Member Functions
void | Initialize (b2Body *bodyA, b2Body *bodyB, const b2Vec2 &anchor, const b2Vec2 &axis)

## Public Attributes
b2Vec2 | localAnchorA
| The local anchor point relative to bodyA's origin.
b2Vec2 | localAnchorB
| The local anchor point relative to bodyB's origin.
b2Vec2 | localAxisA
| The local translation axis in bodyA.
bool | enableMotor
| Enable/disable the joint motor.
float32 | maxMotorTorque
| The maximum motor torque, usually in N-m.
float32 | motorSpeed
| The desired motor speed in radians per second.
float32 | frequencyHz
| Suspension frequency, zero indicates no suspension.
float32 | dampingRatio
| Suspension damping ratio, one indicates critical damping.
Public Attributes inherited from b2JointDef
b2JointType | type
| The joint type is set automatically for concrete joint types.
void * | userData
| Use this to attach application specific data to your joints.
b2Body * | bodyA
| The first attached body.
b2Body * | bodyB
| The second attached body.
bool | collideConnected
| Set this flag to true if the attached bodies should collide.

## Detailed Description

Wheel joint definition. This requires defining a line of motion using an axis and an anchor point. The definition uses local anchor points and a local axis so that the initial configuration can violate the constraint slightly. The joint translation is zero when the local anchor points coincide in world space. Using local anchors and a local axis helps when saving and loading a game.

## Member Function Documentation

void b2WheelJointDef::Initialize | ( | b2Body * | bodyA,
|  | b2Body * | bodyB,
|  | const b2Vec2 & | anchor,
|  | const b2Vec2 & | axis
| ) |  |

Initialize the bodies, anchors, axis, and reference angle using the world anchor and world axis.

The documentation for this struct was generated from the following files:

- b2WheelJoint.h
- b2WheelJoint.cpp